Skip to main content
GET
/
v1
/
batch_operations
List
curl --request GET \
  --url https://{defaultHost}/v1/batch_operations \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 2,
    "limit": 20,
    "page": 1,
    "url": "/v1/batch_operations"
  },
  "data": [
    {
      "id": "4100fb0e-16fa-4a6a-a9a9-a922cebd8366",
      "object": "batch_operation",
      "body": null,
      "http_method": "GET",
      "path": "/v1/products",
      "query_params": null,
      "response_body": null,
      "response_status": null,
      "status": "pending",
      "batch": "12f5c479-2f31-4dab-927f-5fedfc0a7790",
      "created_at": 1778010859,
      "updated_at": 1778010859
    },
    {
      "id": "aa9881b9-228e-481e-96ff-305e11959b70",
      "object": "batch_operation",
      "body": null,
      "http_method": "GET",
      "path": "/v1/products",
      "query_params": null,
      "response_body": null,
      "response_status": null,
      "status": "pending",
      "batch": "12f5c479-2f31-4dab-927f-5fedfc0a7790",
      "created_at": 1778010859,
      "updated_at": 1778010859
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

batch_ids[]
string[]

Only return objects that belong to the given batches.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

status[]
string[]

Only return objects with the given status.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.